
Redmine - Defect #21551

Private note flag disappears in issue update conflict

2015-12-17 02:01 - Shaun Gilroy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.1.4   

Resolution: Fixed Affected version:  

Description

We discovered a bug in our Redmine system. When you receive an issue edit conflict posting a private note to an issue, the flag

making the note private gets lost.

Comment from our user:

Just an FYI. I wrote a comment and marked it "private". When I hit submit it came up with a dialog because it had been changed

by another user from the time I started editing to the time I submitted. I said "discard all changes but submit my note" because I

had no other changes. It did that. However, it lost the "private" status.

Associated revisions

Revision 14984 - 2015-12-20 11:11 - Jean-Philippe Lang

Private note flag disappears in issue update conflict (#21551).

Revision 15016 - 2016-01-09 09:43 - Jean-Philippe Lang

Merged r14984 (#21551).

Revision 15017 - 2016-01-09 09:43 - Jean-Philippe Lang

Merged r14984 (#21551).

History

#1 - 2015-12-20 11:11 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.4

- Resolution set to Fixed

Fixed in r14984.

#2 - 2016-01-05 00:48 - Shaun Gilroy

If you select 'Add my notes and discard my other changes' it still loses the private flag on the note. But if you select 'Apply my changes anyway' then it

keeps the private note.

Is this the intended functionality here, because it seems the private note flag should persist in both cases, to me.

#3 - 2016-01-09 09:44 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Yes, the fix is committed and will be available in 3.1.4 and 3.2.1.
